Skip to content
Basenet
🇳🇱 Nederlands
Esc
↑↓navigate↵open⌘Jpreview

BI: denormalized matters (scope bi:read)

GET/api/v1/bi/matters
Authorization
AuthorizationBearer token · headerrequired

Scoped API token (bnx_…). Required scopes are noted per operation.

Query parameters
$topinteger

Page size ($top, max 200).

min 1 · max 200
$skipinteger

Offset ($skip).

min 0
Responses
200

OData v4 collection

@odata.contextstringrequired
valueobject[]required
Show properties
Array of object
matterIdstringrequired
matterNumberstringrequired
matterNamestringrequired
statusstringrequired
flavorstringrequired
practiceAreastring | nullrequired
departmentIdstring | nullrequired
openDatestring | nullrequired
closedDatestring | nullrequired
@odata.nextLinkstring
401

Unauthenticated

errorstringrequired
codestringrequired
rulestring
403

Forbidden (missing scope or permission)

errorstringrequired
codestringrequired
rulestring
429

Rate limited

errorstringrequired
codestringrequired
rulestring
Request
curl -X GET '/api/v1/bi/matters' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "@odata.context": "string",
  "value": [
    {
      "matterId": "string",
      "matterNumber": "string",
      "matterName": "string",
      "status": "string",
      "flavor": "string",
      "practiceArea": "string",
      "departmentId": "string",
      "openDate": "string",
      "closedDate": "string"
    }
  ],
  "@odata.nextLink": "string"
}